ApplicationsList Applications

List Applications

Read several Application details identified by their unique Company ID.

curl -X GET "https://api.getkini.com/applications/?page=25&page_size=25" \
  -H "Content-Type: application/json" \
  -H "Company-Id: example_string" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "count": 123,
  "next": "http://api.example.org/accounts/?page=4",
  "previous": "http://api.example.org/accounts/?page=2",
  "results": [
    {
      "id": 123,
      "job": "null",
      "company": "null",
      "external_job_id": "example_string",
      "partner": "null",
      "partner_application_id": "null",
      "partner_company_id": "null",
      "partner_job_id": "null",
      "agency": "null",
      "agency_job_id": "null",
      "candidate": {
        "email": "user@example.com",
        "first_name": "John Doe",
        "last_name": "null",
        "full_name": "null",
        "gender": "null",
        "birthdate": "null",
        "language": "null",
        "nationality": "null",
        "phone": "null",
        "location": {
          "street": "null",
          "city": "null",
          "country": "null",
          "postcode": "null"
        },
        "skills": [
          "Python",
          "Django",
          "React"
        ]
      },
      "social_links": {
        "LinkedIn": "https://linkedin.com/in/username",
        "GitHub": "https://github.com/username",
        "Xing": "https://xing.com/profile/username"
      },
      "screening_questions": [
        {
          "id": "example_string",
          "question": "example_string",
          "answer_type": "boolean",
          "answer": "example_string"
        }
      ],
      "attachments": [
        {
          "type": "cv",
          "name": "John Doe",
          "content_type": "application/msword"
        }
      ],
      "notes": "null",
      "channel": "null",
      "sync_status": "SUCCESS",
      "failure_error": "null",
      "created_at": "2024-12-25T10:00:00Z",
      "updated_at": "2024-12-25T10:00:00Z"
    }
  ]
}
GET
/applications/
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Bearer API Key Authentication. Include your API key in the Authorization header.

Bearer API Key Authentication. Include your API key in the Authorization header.
query
pageinteger

A page number within the paginated result set.

query
page_sizeinteger

Number of results to return per page.

header
Company-Idstring
Required

Kini ID of the Company

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Bearer API Key Authentication. Include your API key in the Authorization header.

Query Parameters

pageinteger

A page number within the paginated result set.

page_sizeinteger

Number of results to return per page.

Headers

Company-Idstring
Required

Kini ID of the Company

Responses

countinteger

Total number of records available across all pages

nextstring

URL to the next page of results

previousstring

URL to the previous page of results

resultsarray

List of applications